SubblySubbly
Log inGet started
  • Get started
  • Developer resources
Private API reference
Docs
Information
    Base URLAuthenticationPaginationErrors
Customer
    Get list of customersCreate a customerGet customer by IDUpdate a customerDelete a customerChange a customer's store credit balanceCreate a customer noteUpdate a customer noteDelete a customer note
Address
    Create an addressUpdate an addressDelete an address
Pickup Info
    Get list of pickup infoCreate pickup infoUpdate pickup infoDelete pickup info
Subscription
    Get list of subscriptionsCreate a subscriptionGet subscription by IDUpdate a subscriptionCancel a subscriptionUndo cancellationPause a subscriptionResume a subscriptionSkip renewals until a dateReactivate a cancelled or expired subscriptionSwitch the subscription to another plan by starting overChange the plans of the subscription's itemsUpdate a subscription's shipping address and methodUpdate a subscription's payment methodUpdate a subscription's survey preferencesCreate a subscription itemShow a subscription itemUpdate a subscription itemRemove a subscription itemUpdate a subscription item's preferencesUpdate a subscription item's bundleChange the plan of a subscription itemChange the variant of a one-time itemApply a discount to a subscription itemRemove a subscription item discountApply a discount to a subscriptionRemove a subscription discount
Invoice
    Get list of invoicesGet invoice by IDSchedule the next payment for invoiceVoid an invoiceForgive an invoiceMark an invoice as paid
Order
    Get list of ordersGet order by IDUpdate an orderShip an orderCancel an orderMark an order as pendingArchive an orderMark an order as a future shipmentSync order shipping items
Payment Method
    Create a payment methodGet payment method by IDDelete a payment method
Transaction
    Get list of transactionsGet transaction by ID
Cancellation
    Get shop cancellation reasons
Product
    Get list of productsGet product by IDGet variant by IDUpdate variantGet plan by IDUpdate planCreate subscription productUpdate subscription productPublish subscription productUnpublish subscription productArchive subscription productSync subscription product metadataCreate one-time productUpdate one-time productPublish one-time productUnpublish one-time productArchive one-time productSync one-time product metadataCreate variantArchive variantBatch create/update/archive variantsCreate planArchive plan
Survey
    Get survey by IDGet list of surveys
Bundle
    Get list of bundlesCreate a new bundleGet bundle by IDUpdate a bundleGet list of bundle itemsCreate a bundle itemBatch create bundle itemsGet bundle item by IDUpdate a bundle itemDelete a bundle itemGet list of bundle groupsPublish a bundleUnpublish a bundleArchive a bundleSync bundle metadataCreate a bundle planGet bundle plan by IDUpdate a bundle planArchive a bundle plan
Tag
    Get list of tags
Metafield
    Get shop's metafieldsCreate a new metadataUpdate the metadata
Funnel
    Get list of funnelsGet funnel by ID
Option
    Get list of options
Country
    Get list of countries
Inventory
    Get list of inventory itemsCreate a new inventory itemGet inventory item by IDUpdate an inventory itemArchive an inventory itemGet list of inventory groupsCreate a new inventory groupGet inventory group by IDUpdate an inventory group
Coupon
    Get list of couponsCreate a couponGet coupon by IDUpdate a couponArchive a coupon
Product Collection
    Get list of product collectionsCreate a product collectionGet product collection by IDUpdate a product collectionPublish a product collectionUnpublish a product collectionArchive a product collectionGet list of collection groups with itemsSync collection items

Order

Private Order API endpoints

Endpoints
  • GET/orders
  • GET/orders/{order_id}
  • PATCH/orders/{order_id}
  • POST/orders/{order_id}/ship
  • POST/orders/{order_id}/cancel
  • POST/orders/{order_id}/mark_as_pending
  • POST/orders/{order_id}/archive
  • POST/orders/{order_id}/mark_as_future_shipment
  • POST/orders/{order_id}/shipping_items

Get list of orders

GET /orders

An API endpoint to get list of orders. Results are scoped to the shop that owns the API key. Archived orders are excluded unless archived=1 is passed.

Query parameters

pageoptionalinteger

Page

Defaults to 1.

per_pageoptionalinteger

Entities per page

Defaults to 50.

customer_idoptionalinteger

Filter by customer ID. Must belong to the shop.

subscription_idoptionalinteger

Filter by subscription ID. Must belong to the shop.

product_idoptionalinteger

Filter to orders that have at least one line item for this exact product ID. The match is on the line item's product, so plans and variants must be passed by their own ID. The parent product ID is not expanded. Must belong to the shop.

statuses[]optionalstring[]

Filter by order status. Values must be distinct.

fulfillment_statuses[]optionalstring[]

Filter by fulfillment status. Values must be distinct.

tags[]optionalinteger[]

Filter to orders carrying at least one of these tag IDs. Values must be distinct and must be existing tag IDs of the shop.

archivedoptionalboolean

Filter by the archived flag. Accepts 1/0 (or true/false). Defaults to false, which excludes archived orders; pass 1 to return only archived orders.

Defaults to false.

created_at[gte]optionalstring

Filter to include only orders created on or after this date. Format Y-m-d\TH:i:s, interpreted as UTC. Inclusive.

created_at[lte]optionalstring

Filter to include only orders created on or before this date. Format Y-m-d\TH:i:s, interpreted as UTC. Inclusive.

created_at_startoptionalstringDeprecated

Deprecated alias of created_at[gte]. When both arrive, created_at[gte] wins.

created_at_endoptionalstringDeprecated

Deprecated alias of created_at[lte]. When both arrive, created_at[lte] wins.

due_date[gte]optionalstring

Filter to include only orders due on or after this date. Format Y-m-d\TH:i:s, interpreted as UTC. Inclusive.

due_date[lte]optionalstring

Filter to include only orders due on or before this date. Format Y-m-d\TH:i:s, interpreted as UTC. Inclusive.

due_date_startoptionalstringDeprecated

Deprecated alias of due_date[gte]. When both arrive, due_date[gte] wins.

due_date_endoptionalstringDeprecated

Deprecated alias of due_date[lte]. When both arrive, due_date[lte] wins.

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

Returnsobject

Orders list response

Error responses

401object

Missing or invalid API key.

422object

One or more query parameters failed validation, e.g. an unknown status, a tag ID that does not belong to the shop, or a malformed date.

curl https://api.subbly.co/private/v1/orders \ -H 'X-API-KEY: <api-key>'
Response
{ "pagination": { "current_page": 1, "last_page": 2, "from": 1, "to": 1, "total": 20 }, "data": [ { "id": 1, "subscription_id": 1, "subscription": { "id": 1, "customer_id": 1, "customer": {}, "referred_by": 1, "product_id": 1, "product": {}, "quantity": 1, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": {}, "payment_method_id": 1, "payment_method": {}, "currency_code": "USD", "survey": {}, "preferences": {}, "bundle": {}, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ {} ], "discounts": [ {} ], "addons": [ {} ], "items": [ {} ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ {} ], "tags": [ "tags" ], "tags_meta": [], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "invoice_id": 1, "invoice": { "id": 1, "subscription_id": 1, "subscription": {}, "customer_id": 1, "customer": {}, "payment_method_id": 1, "payment_method": {}, "billing_address_id": 1, "billing_address": {}, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "currency_code": "USD", "total": 1, "sub_total": 1, "adjustment": 1, "discounts_amount": 1, "tax_amount": 1, "application_fee": 1, "description": "description", "first_shipment_at": "2022-04-01T00:00:00.000000Z", "period_start": "2022-04-01T00:00:00.000000Z", "period_end": "2022-04-01T00:00:00.000000Z", "next_attempt_at": "2022-04-01T00:00:00.000000Z", "paid_at": "2022-04-01T00:00:00.000000Z", "voided_at": "2022-04-01T00:00:00.000000Z", "status": "paid", "items": [ {} ], "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "product_id": 1, "product": { "id": 1, "bundle_plan_id": 1, "bundle_plan": {}, "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "price": 799, "price_schema": {}, "price_scheme": {}, "parent": {}, "product": {}, "metadata": [ {} ], "attributes": [ {} ], "options": [ {} ], "stock_count": 100, "published": true, "inventory_item_id": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "shipping_method_id": 1, "shipping_method": {}, "transaction_id": 1, "transaction": { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": {}, "description": "description", "payment_method_id": 1, "payment_method": {}, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }, "due_date": "2022-04-01T00:00:00.000000Z", "currency_code": "USD", "base_currency_code": "USD", "status": "awaiting_delivery", "fulfillment_status": "unfulfilled", "shipping_carrier_id": 1, "shipping_carrier": { "id": 1, "name": "DHL", "service_codes": [ "STANDARD", "EXPRESS" ] }, "shipping_carrier_service": "shipping_carrier_service", "package_id": 1, "carrier": "carrier", "carrier_service": "carrier_service", "tracking_number": "tracking_number", "tracking_url": "tracking_url", "unpaid": true, "exchange_rate": 1.5, "gift": { "message": "message", "recipient_email": "recipient_email" }, "total": 1, "sub_total": 1, "tax_amount": 1, "tax_rate": 1.5, "application_fee": 1, "customs_fee": 1, "adjustment": 1, "disputed": true, "refunded": true, "refunded_amount": 1, "test": true, "archived": true, "items": [ { "id": 1, "product_id": 1, "product": {}, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "setup", "amount": 1, "quantity": 1, "active": true, "survey": { "survey_id": 1, "version": 2, "data": [ {} ] }, "preferences": {}, "discount_amount": 1, "tax_amount": 1, "tax_rate": 1.5, "tax_id": 1, "tax_group_id": 1, "bundle": {}, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "shipping_items": [ { "id": 1, "order_id": 1, "quantity": 1, "note": "note", "origin": "system", "price_origin": "charge", "item_price": 1, "order_line_item_id": 1, "order_bundle_item_id": 1, "inventory_id": 1, "inventory": {}, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "product_id": 1, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "balance", "amount": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ] }

Get order by ID

GET /orders/{order_id}

A detailed description of the order. The order must belong to the shop that owns the API key.

Path parameters

order_idRequiredinteger

Order ID

Format: integer.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

ReturnsOrder

Order object response

Error responses

400object

The order exists but belongs to another shop.

401object

Missing or invalid API key.

404object

No order exists with this ID.

422object

The expand[] parameter failed validation.

curl https://api.subbly.co/private/v1/orders/{order_id} \ -H 'X-API-KEY: <api-key>'
Response
{ "id": 1, "subscription_id": 1, "subscription": { "id": 1, "customer_id": 1, "customer": {}, "referred_by": 1, "product_id": 1, "product": {}, "quantity": 1, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": {}, "payment_method_id": 1, "payment_method": {}, "currency_code": "USD", "survey": {}, "preferences": {}, "bundle": {}, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ {} ], "discounts": [ {} ], "addons": [ {} ], "items": [ {} ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ {} ], "tags": [ "tags" ], "tags_meta": [], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "invoice_id": 1, "invoice": { "id": 1, "subscription_id": 1, "subscription": {}, "customer_id": 1, "customer": {}, "payment_method_id": 1, "payment_method": {}, "billing_address_id": 1, "billing_address": {}, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "currency_code": "USD", "total": 1, "sub_total": 1, "adjustment": 1, "discounts_amount": 1, "tax_amount": 1, "application_fee": 1, "description": "description", "first_shipment_at": "2022-04-01T00:00:00.000000Z", "period_start": "2022-04-01T00:00:00.000000Z", "period_end": "2022-04-01T00:00:00.000000Z", "next_attempt_at": "2022-04-01T00:00:00.000000Z", "paid_at": "2022-04-01T00:00:00.000000Z", "voided_at": "2022-04-01T00:00:00.000000Z", "status": "paid", "items": [ {} ], "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "product_id": 1, "product": { "id": 1, "bundle_plan_id": 1, "bundle_plan": {}, "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "price": 799, "price_schema": {}, "price_scheme": {}, "parent": {}, "product": {}, "metadata": [ {} ], "attributes": [ {} ], "options": [ {} ], "stock_count": 100, "published": true, "inventory_item_id": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "shipping_method_id": 1, "shipping_method": {}, "transaction_id": 1, "transaction": { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": {}, "description": "description", "payment_method_id": 1, "payment_method": {}, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }, "due_date": "2022-04-01T00:00:00.000000Z", "currency_code": "USD", "base_currency_code": "USD", "status": "awaiting_delivery", "fulfillment_status": "unfulfilled", "shipping_carrier_id": 1, "shipping_carrier": { "id": 1, "name": "DHL", "service_codes": [ "STANDARD", "EXPRESS" ] }, "shipping_carrier_service": "shipping_carrier_service", "package_id": 1, "carrier": "carrier", "carrier_service": "carrier_service", "tracking_number": "tracking_number", "tracking_url": "tracking_url", "unpaid": true, "exchange_rate": 1.5, "gift": { "message": "message", "recipient_email": "recipient_email" }, "total": 1, "sub_total": 1, "tax_amount": 1, "tax_rate": 1.5, "application_fee": 1, "customs_fee": 1, "adjustment": 1, "disputed": true, "refunded": true, "refunded_amount": 1, "test": true, "archived": true, "items": [ { "id": 1, "product_id": 1, "product": {}, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "setup", "amount": 1, "quantity": 1, "active": true, "survey": { "survey_id": 1, "version": 2, "data": [ {} ] }, "preferences": {}, "discount_amount": 1, "tax_amount": 1, "tax_rate": 1.5, "tax_id": 1, "tax_group_id": 1, "bundle": {}, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "shipping_items": [ { "id": 1, "order_id": 1, "quantity": 1, "note": "note", "origin": "system", "price_origin": "charge", "item_price": 1, "order_line_item_id": 1, "order_bundle_item_id": 1, "inventory_id": 1, "inventory": {}, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "product_id": 1, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "balance", "amount": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Update an order

PATCH /orders/{order_id}

Partially update an order. Every field is optional and any field left out of the body is untouched. Only the keys present in the request are applied. gift.message and gift.recipient_email are always persisted, but they are echoed back only inside the gift block, which is null unless the order is a gift.

items, tags, tags_meta, metadata and shipping_items are always included in the response; customer, shipping_address and items.product have to be requested through expand.

Path parameters

order_idRequiredinteger

Order ID

Format: integer.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

Request body

due_dateoptionalstring

Due date in Y-m-d\TH:i:s format. Must be after yesterday. Cannot be null. Send no key at all to leave it unchanged.

giftoptionalobject

Gift details, mirroring the gift block of the order response. Omit the key to leave both fields unchanged.

tagsoptionalobject

Attach and detach order tags. Deletions are applied before creations. Omit the key to leave the order's tags unchanged.

metadataoptionalMetadataUpdate

Metadata of this order only.

ReturnsOrder

Order object response

Error responses

404object

The order does not exist or belongs to another shop.

422object

Validation failed, for example due_date is not in Y-m-d\TH:i:s format or is not after yesterday, a tags.create value is duplicated, a tags.delete ID is not a tag of this shop, or a metadata entry is invalid.

curl -X PATCH https://api.subbly.co/private/v1/orders/{order_id} \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "due_date": "2026-09-01T00:00:00", "gift": { "message": "Happy birthday! Enjoy the box.", "recipient_email": "recipient@example.com" }, "tags": { "create": [ { "value": "priority" }, { "value": "vip" } ], "delete": [ { "id": 42 } ] } }'
Response
{ "id": 1, "subscription_id": 1, "subscription": { "id": 1, "customer_id": 1, "customer": {}, "referred_by": 1, "product_id": 1, "product": {}, "quantity": 1, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": {}, "payment_method_id": 1, "payment_method": {}, "currency_code": "USD", "survey": {}, "preferences": {}, "bundle": {}, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ {} ], "discounts": [ {} ], "addons": [ {} ], "items": [ {} ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ {} ], "tags": [ "tags" ], "tags_meta": [], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "invoice_id": 1, "invoice": { "id": 1, "subscription_id": 1, "subscription": {}, "customer_id": 1, "customer": {}, "payment_method_id": 1, "payment_method": {}, "billing_address_id": 1, "billing_address": {}, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "currency_code": "USD", "total": 1, "sub_total": 1, "adjustment": 1, "discounts_amount": 1, "tax_amount": 1, "application_fee": 1, "description": "description", "first_shipment_at": "2022-04-01T00:00:00.000000Z", "period_start": "2022-04-01T00:00:00.000000Z", "period_end": "2022-04-01T00:00:00.000000Z", "next_attempt_at": "2022-04-01T00:00:00.000000Z", "paid_at": "2022-04-01T00:00:00.000000Z", "voided_at": "2022-04-01T00:00:00.000000Z", "status": "paid", "items": [ {} ], "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "product_id": 1, "product": { "id": 1, "bundle_plan_id": 1, "bundle_plan": {}, "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "price": 799, "price_schema": {}, "price_scheme": {}, "parent": {}, "product": {}, "metadata": [ {} ], "attributes": [ {} ], "options": [ {} ], "stock_count": 100, "published": true, "inventory_item_id": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "shipping_method_id": 1, "shipping_method": {}, "transaction_id": 1, "transaction": { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": {}, "description": "description", "payment_method_id": 1, "payment_method": {}, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }, "due_date": "2022-04-01T00:00:00.000000Z", "currency_code": "USD", "base_currency_code": "USD", "status": "awaiting_delivery", "fulfillment_status": "unfulfilled", "shipping_carrier_id": 1, "shipping_carrier": { "id": 1, "name": "DHL", "service_codes": [ "STANDARD", "EXPRESS" ] }, "shipping_carrier_service": "shipping_carrier_service", "package_id": 1, "carrier": "carrier", "carrier_service": "carrier_service", "tracking_number": "tracking_number", "tracking_url": "tracking_url", "unpaid": true, "exchange_rate": 1.5, "gift": { "message": "message", "recipient_email": "recipient_email" }, "total": 1, "sub_total": 1, "tax_amount": 1, "tax_rate": 1.5, "application_fee": 1, "customs_fee": 1, "adjustment": 1, "disputed": true, "refunded": true, "refunded_amount": 1, "test": true, "archived": true, "items": [ { "id": 1, "product_id": 1, "product": {}, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "setup", "amount": 1, "quantity": 1, "active": true, "survey": { "survey_id": 1, "version": 2, "data": [ {} ] }, "preferences": {}, "discount_amount": 1, "tax_amount": 1, "tax_rate": 1.5, "tax_id": 1, "tax_group_id": 1, "bundle": {}, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "shipping_items": [ { "id": 1, "order_id": 1, "quantity": 1, "note": "note", "origin": "system", "price_origin": "charge", "item_price": 1, "order_line_item_id": 1, "order_bundle_item_id": 1, "inventory_id": 1, "inventory": {}, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "product_id": 1, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "balance", "amount": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Ship an order

POST /orders/{order_id}/ship

Marks the order as shipped. Only orders in awaiting_delivery or future_shipment can be shipped; any other status responds with 400. Optional carrier, carrier_service, tracking_number and tracking_url are stored on the order: an omitted key keeps the stored value, null clears it. Set notify_customer to false to skip the customer's shipping notifications.

Path parameters

order_idRequiredinteger

Order ID

Format: integer.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

Request body (optional)

Optional tracking details and notification preference

carrieroptionalstring | null

Free-text carrier name, stored on the order's carrier.

carrier_serviceoptionalstring | null

Free-text carrier service, stored on the order's carrier_service.

tracking_numberoptionalstring | null
tracking_urloptionalstring | null

Tracking link shown to the customer. Must be an http or https URL.

Format: uri.

notify_customeroptionalboolean

Whether the customer is notified about the shipment.

Defaults to true.

ReturnsOrder

Order object response

Error responses

400object

The order cannot be shipped from its current status (for example it is already shipped or cancelled).

404object

Order not found, or it belongs to another shop.

422object

A tracking field is too long (carrier, carrier_service and tracking_number allow 255 characters, tracking_url 500), tracking_url is not an http/https URL, or notify_customer is not a boolean.

curl -X POST https://api.subbly.co/private/v1/orders/{order_id}/ship \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "carrier": "UPS", "carrier_service": "Ground", "tracking_number": "1Z999AA10123456784", "tracking_url": "https://www.ups.com/track?tracknum=1Z999AA10123456784", "notify_customer": true }'
Response
{ "id": 1, "subscription_id": 1, "subscription": { "id": 1, "customer_id": 1, "customer": {}, "referred_by": 1, "product_id": 1, "product": {}, "quantity": 1, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": {}, "payment_method_id": 1, "payment_method": {}, "currency_code": "USD", "survey": {}, "preferences": {}, "bundle": {}, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ {} ], "discounts": [ {} ], "addons": [ {} ], "items": [ {} ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ {} ], "tags": [ "tags" ], "tags_meta": [], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "invoice_id": 1, "invoice": { "id": 1, "subscription_id": 1, "subscription": {}, "customer_id": 1, "customer": {}, "payment_method_id": 1, "payment_method": {}, "billing_address_id": 1, "billing_address": {}, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "currency_code": "USD", "total": 1, "sub_total": 1, "adjustment": 1, "discounts_amount": 1, "tax_amount": 1, "application_fee": 1, "description": "description", "first_shipment_at": "2022-04-01T00:00:00.000000Z", "period_start": "2022-04-01T00:00:00.000000Z", "period_end": "2022-04-01T00:00:00.000000Z", "next_attempt_at": "2022-04-01T00:00:00.000000Z", "paid_at": "2022-04-01T00:00:00.000000Z", "voided_at": "2022-04-01T00:00:00.000000Z", "status": "paid", "items": [ {} ], "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "product_id": 1, "product": { "id": 1, "bundle_plan_id": 1, "bundle_plan": {}, "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "price": 799, "price_schema": {}, "price_scheme": {}, "parent": {}, "product": {}, "metadata": [ {} ], "attributes": [ {} ], "options": [ {} ], "stock_count": 100, "published": true, "inventory_item_id": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "shipping_method_id": 1, "shipping_method": {}, "transaction_id": 1, "transaction": { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": {}, "description": "description", "payment_method_id": 1, "payment_method": {}, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }, "due_date": "2022-04-01T00:00:00.000000Z", "currency_code": "USD", "base_currency_code": "USD", "status": "awaiting_delivery", "fulfillment_status": "unfulfilled", "shipping_carrier_id": 1, "shipping_carrier": { "id": 1, "name": "DHL", "service_codes": [ "STANDARD", "EXPRESS" ] }, "shipping_carrier_service": "shipping_carrier_service", "package_id": 1, "carrier": "carrier", "carrier_service": "carrier_service", "tracking_number": "tracking_number", "tracking_url": "tracking_url", "unpaid": true, "exchange_rate": 1.5, "gift": { "message": "message", "recipient_email": "recipient_email" }, "total": 1, "sub_total": 1, "tax_amount": 1, "tax_rate": 1.5, "application_fee": 1, "customs_fee": 1, "adjustment": 1, "disputed": true, "refunded": true, "refunded_amount": 1, "test": true, "archived": true, "items": [ { "id": 1, "product_id": 1, "product": {}, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "setup", "amount": 1, "quantity": 1, "active": true, "survey": { "survey_id": 1, "version": 2, "data": [ {} ] }, "preferences": {}, "discount_amount": 1, "tax_amount": 1, "tax_rate": 1.5, "tax_id": 1, "tax_group_id": 1, "bundle": {}, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "shipping_items": [ { "id": 1, "order_id": 1, "quantity": 1, "note": "note", "origin": "system", "price_origin": "charge", "item_price": 1, "order_line_item_id": 1, "order_bundle_item_id": 1, "inventory_id": 1, "inventory": {}, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "product_id": 1, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "balance", "amount": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Cancel an order

POST /orders/{order_id}/cancel

Marks the order as cancelled. Orders that are already shipped or cancelled respond with 400. Cancelling removes the order shipping items and returns their quantities to the inventory item stock, and sends the customer the order cancelled email.

Path parameters

order_idRequiredinteger

Order ID

Format: integer.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

ReturnsOrder

Order object response

Error responses

400object

The order is already shipped or already cancelled.

404object

Order not found, or it belongs to another shop.

curl -X POST https://api.subbly.co/private/v1/orders/{order_id}/cancel \ -H 'X-API-KEY: <api-key>'
Response
{ "id": 1, "subscription_id": 1, "subscription": { "id": 1, "customer_id": 1, "customer": {}, "referred_by": 1, "product_id": 1, "product": {}, "quantity": 1, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": {}, "payment_method_id": 1, "payment_method": {}, "currency_code": "USD", "survey": {}, "preferences": {}, "bundle": {}, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ {} ], "discounts": [ {} ], "addons": [ {} ], "items": [ {} ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ {} ], "tags": [ "tags" ], "tags_meta": [], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "invoice_id": 1, "invoice": { "id": 1, "subscription_id": 1, "subscription": {}, "customer_id": 1, "customer": {}, "payment_method_id": 1, "payment_method": {}, "billing_address_id": 1, "billing_address": {}, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "currency_code": "USD", "total": 1, "sub_total": 1, "adjustment": 1, "discounts_amount": 1, "tax_amount": 1, "application_fee": 1, "description": "description", "first_shipment_at": "2022-04-01T00:00:00.000000Z", "period_start": "2022-04-01T00:00:00.000000Z", "period_end": "2022-04-01T00:00:00.000000Z", "next_attempt_at": "2022-04-01T00:00:00.000000Z", "paid_at": "2022-04-01T00:00:00.000000Z", "voided_at": "2022-04-01T00:00:00.000000Z", "status": "paid", "items": [ {} ], "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "product_id": 1, "product": { "id": 1, "bundle_plan_id": 1, "bundle_plan": {}, "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "price": 799, "price_schema": {}, "price_scheme": {}, "parent": {}, "product": {}, "metadata": [ {} ], "attributes": [ {} ], "options": [ {} ], "stock_count": 100, "published": true, "inventory_item_id": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "shipping_method_id": 1, "shipping_method": {}, "transaction_id": 1, "transaction": { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": {}, "description": "description", "payment_method_id": 1, "payment_method": {}, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }, "due_date": "2022-04-01T00:00:00.000000Z", "currency_code": "USD", "base_currency_code": "USD", "status": "awaiting_delivery", "fulfillment_status": "unfulfilled", "shipping_carrier_id": 1, "shipping_carrier": { "id": 1, "name": "DHL", "service_codes": [ "STANDARD", "EXPRESS" ] }, "shipping_carrier_service": "shipping_carrier_service", "package_id": 1, "carrier": "carrier", "carrier_service": "carrier_service", "tracking_number": "tracking_number", "tracking_url": "tracking_url", "unpaid": true, "exchange_rate": 1.5, "gift": { "message": "message", "recipient_email": "recipient_email" }, "total": 1, "sub_total": 1, "tax_amount": 1, "tax_rate": 1.5, "application_fee": 1, "customs_fee": 1, "adjustment": 1, "disputed": true, "refunded": true, "refunded_amount": 1, "test": true, "archived": true, "items": [ { "id": 1, "product_id": 1, "product": {}, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "setup", "amount": 1, "quantity": 1, "active": true, "survey": { "survey_id": 1, "version": 2, "data": [ {} ] }, "preferences": {}, "discount_amount": 1, "tax_amount": 1, "tax_rate": 1.5, "tax_id": 1, "tax_group_id": 1, "bundle": {}, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "shipping_items": [ { "id": 1, "order_id": 1, "quantity": 1, "note": "note", "origin": "system", "price_origin": "charge", "item_price": 1, "order_line_item_id": 1, "order_bundle_item_id": 1, "inventory_id": 1, "inventory": {}, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "product_id": 1, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "balance", "amount": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Mark an order as pending

POST /orders/{order_id}/mark_as_pending

Moves the order back to awaiting_delivery. Only orders in shipped or future_shipment that are not archived can be moved. Anything else responds with 400. When the order comes from future_shipment its shipping items are re-created from the product and survey configuration.

Path parameters

order_idRequiredinteger

Order ID

Format: integer.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

ReturnsOrder

Order object response

Error responses

400object

The order is archived, or its current status is neither shipped nor future_shipment.

404object

Order not found, or it belongs to another shop.

curl -X POST https://api.subbly.co/private/v1/orders/{order_id}/mark_as_pending \ -H 'X-API-KEY: <api-key>'
Response
{ "id": 1, "subscription_id": 1, "subscription": { "id": 1, "customer_id": 1, "customer": {}, "referred_by": 1, "product_id": 1, "product": {}, "quantity": 1, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": {}, "payment_method_id": 1, "payment_method": {}, "currency_code": "USD", "survey": {}, "preferences": {}, "bundle": {}, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ {} ], "discounts": [ {} ], "addons": [ {} ], "items": [ {} ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ {} ], "tags": [ "tags" ], "tags_meta": [], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "invoice_id": 1, "invoice": { "id": 1, "subscription_id": 1, "subscription": {}, "customer_id": 1, "customer": {}, "payment_method_id": 1, "payment_method": {}, "billing_address_id": 1, "billing_address": {}, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "currency_code": "USD", "total": 1, "sub_total": 1, "adjustment": 1, "discounts_amount": 1, "tax_amount": 1, "application_fee": 1, "description": "description", "first_shipment_at": "2022-04-01T00:00:00.000000Z", "period_start": "2022-04-01T00:00:00.000000Z", "period_end": "2022-04-01T00:00:00.000000Z", "next_attempt_at": "2022-04-01T00:00:00.000000Z", "paid_at": "2022-04-01T00:00:00.000000Z", "voided_at": "2022-04-01T00:00:00.000000Z", "status": "paid", "items": [ {} ], "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "product_id": 1, "product": { "id": 1, "bundle_plan_id": 1, "bundle_plan": {}, "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "price": 799, "price_schema": {}, "price_scheme": {}, "parent": {}, "product": {}, "metadata": [ {} ], "attributes": [ {} ], "options": [ {} ], "stock_count": 100, "published": true, "inventory_item_id": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "shipping_method_id": 1, "shipping_method": {}, "transaction_id": 1, "transaction": { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": {}, "description": "description", "payment_method_id": 1, "payment_method": {}, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }, "due_date": "2022-04-01T00:00:00.000000Z", "currency_code": "USD", "base_currency_code": "USD", "status": "awaiting_delivery", "fulfillment_status": "unfulfilled", "shipping_carrier_id": 1, "shipping_carrier": { "id": 1, "name": "DHL", "service_codes": [ "STANDARD", "EXPRESS" ] }, "shipping_carrier_service": "shipping_carrier_service", "package_id": 1, "carrier": "carrier", "carrier_service": "carrier_service", "tracking_number": "tracking_number", "tracking_url": "tracking_url", "unpaid": true, "exchange_rate": 1.5, "gift": { "message": "message", "recipient_email": "recipient_email" }, "total": 1, "sub_total": 1, "tax_amount": 1, "tax_rate": 1.5, "application_fee": 1, "customs_fee": 1, "adjustment": 1, "disputed": true, "refunded": true, "refunded_amount": 1, "test": true, "archived": true, "items": [ { "id": 1, "product_id": 1, "product": {}, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "setup", "amount": 1, "quantity": 1, "active": true, "survey": { "survey_id": 1, "version": 2, "data": [ {} ] }, "preferences": {}, "discount_amount": 1, "tax_amount": 1, "tax_rate": 1.5, "tax_id": 1, "tax_group_id": 1, "bundle": {}, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "shipping_items": [ { "id": 1, "order_id": 1, "quantity": 1, "note": "note", "origin": "system", "price_origin": "charge", "item_price": 1, "order_line_item_id": 1, "order_bundle_item_id": 1, "inventory_id": 1, "inventory": {}, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "product_id": 1, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "balance", "amount": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Archive an order

POST /orders/{order_id}/archive

Archives the order. Archived orders are excluded from the order list unless it is requested with archived=true. An order that is already archived responds with 400. Archiving cannot be undone through the API. There is no unarchive endpoint.

Path parameters

order_idRequiredinteger

Order ID

Format: integer.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

ReturnsOrder

Order object response

Error responses

400object

The order is already archived.

404object

Order not found, or it belongs to another shop.

curl -X POST https://api.subbly.co/private/v1/orders/{order_id}/archive \ -H 'X-API-KEY: <api-key>'
Response
{ "id": 1, "subscription_id": 1, "subscription": { "id": 1, "customer_id": 1, "customer": {}, "referred_by": 1, "product_id": 1, "product": {}, "quantity": 1, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": {}, "payment_method_id": 1, "payment_method": {}, "currency_code": "USD", "survey": {}, "preferences": {}, "bundle": {}, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ {} ], "discounts": [ {} ], "addons": [ {} ], "items": [ {} ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ {} ], "tags": [ "tags" ], "tags_meta": [], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "invoice_id": 1, "invoice": { "id": 1, "subscription_id": 1, "subscription": {}, "customer_id": 1, "customer": {}, "payment_method_id": 1, "payment_method": {}, "billing_address_id": 1, "billing_address": {}, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "currency_code": "USD", "total": 1, "sub_total": 1, "adjustment": 1, "discounts_amount": 1, "tax_amount": 1, "application_fee": 1, "description": "description", "first_shipment_at": "2022-04-01T00:00:00.000000Z", "period_start": "2022-04-01T00:00:00.000000Z", "period_end": "2022-04-01T00:00:00.000000Z", "next_attempt_at": "2022-04-01T00:00:00.000000Z", "paid_at": "2022-04-01T00:00:00.000000Z", "voided_at": "2022-04-01T00:00:00.000000Z", "status": "paid", "items": [ {} ], "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "product_id": 1, "product": { "id": 1, "bundle_plan_id": 1, "bundle_plan": {}, "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "price": 799, "price_schema": {}, "price_scheme": {}, "parent": {}, "product": {}, "metadata": [ {} ], "attributes": [ {} ], "options": [ {} ], "stock_count": 100, "published": true, "inventory_item_id": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "shipping_method_id": 1, "shipping_method": {}, "transaction_id": 1, "transaction": { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": {}, "description": "description", "payment_method_id": 1, "payment_method": {}, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }, "due_date": "2022-04-01T00:00:00.000000Z", "currency_code": "USD", "base_currency_code": "USD", "status": "awaiting_delivery", "fulfillment_status": "unfulfilled", "shipping_carrier_id": 1, "shipping_carrier": { "id": 1, "name": "DHL", "service_codes": [ "STANDARD", "EXPRESS" ] }, "shipping_carrier_service": "shipping_carrier_service", "package_id": 1, "carrier": "carrier", "carrier_service": "carrier_service", "tracking_number": "tracking_number", "tracking_url": "tracking_url", "unpaid": true, "exchange_rate": 1.5, "gift": { "message": "message", "recipient_email": "recipient_email" }, "total": 1, "sub_total": 1, "tax_amount": 1, "tax_rate": 1.5, "application_fee": 1, "customs_fee": 1, "adjustment": 1, "disputed": true, "refunded": true, "refunded_amount": 1, "test": true, "archived": true, "items": [ { "id": 1, "product_id": 1, "product": {}, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "setup", "amount": 1, "quantity": 1, "active": true, "survey": { "survey_id": 1, "version": 2, "data": [ {} ] }, "preferences": {}, "discount_amount": 1, "tax_amount": 1, "tax_rate": 1.5, "tax_id": 1, "tax_group_id": 1, "bundle": {}, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "shipping_items": [ { "id": 1, "order_id": 1, "quantity": 1, "note": "note", "origin": "system", "price_origin": "charge", "item_price": 1, "order_line_item_id": 1, "order_bundle_item_id": 1, "inventory_id": 1, "inventory": {}, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "product_id": 1, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "balance", "amount": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Mark an order as a future shipment

POST /orders/{order_id}/mark_as_future_shipment

Moves the order to future_shipment and sets the given due date. Only orders in awaiting_delivery can be moved. Anything else responds with 400. The order shipping items are removed and their quantities are returned to the inventory item stock, in the same way as cancelling.

Path parameters

order_idRequiredinteger

Order ID

Format: integer.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

Request body

Future shipment due date body

due_dateRequiredstring

The new due date of the order, in Y-m-d\TH:i:s format. Must be later than the current date and time.

ReturnsOrder

Order object response

Error responses

400object

The order status is not awaiting_delivery.

404object

Order not found, or it belongs to another shop.

422object

due_date is missing, is not in Y-m-d\TH:i:s format, or is not after the current date and time.

curl -X POST https://api.subbly.co/private/v1/orders/{order_id}/mark_as_future_shipment \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "due_date": "2026-09-24T04:00:00" }'
Response
{ "id": 1, "subscription_id": 1, "subscription": { "id": 1, "customer_id": 1, "customer": {}, "referred_by": 1, "product_id": 1, "product": {}, "quantity": 1, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": {}, "payment_method_id": 1, "payment_method": {}, "currency_code": "USD", "survey": {}, "preferences": {}, "bundle": {}, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ {} ], "discounts": [ {} ], "addons": [ {} ], "items": [ {} ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ {} ], "tags": [ "tags" ], "tags_meta": [], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "invoice_id": 1, "invoice": { "id": 1, "subscription_id": 1, "subscription": {}, "customer_id": 1, "customer": {}, "payment_method_id": 1, "payment_method": {}, "billing_address_id": 1, "billing_address": {}, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "currency_code": "USD", "total": 1, "sub_total": 1, "adjustment": 1, "discounts_amount": 1, "tax_amount": 1, "application_fee": 1, "description": "description", "first_shipment_at": "2022-04-01T00:00:00.000000Z", "period_start": "2022-04-01T00:00:00.000000Z", "period_end": "2022-04-01T00:00:00.000000Z", "next_attempt_at": "2022-04-01T00:00:00.000000Z", "paid_at": "2022-04-01T00:00:00.000000Z", "voided_at": "2022-04-01T00:00:00.000000Z", "status": "paid", "items": [ {} ], "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "product_id": 1, "product": { "id": 1, "bundle_plan_id": 1, "bundle_plan": {}, "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "price": 799, "price_schema": {}, "price_scheme": {}, "parent": {}, "product": {}, "metadata": [ {} ], "attributes": [ {} ], "options": [ {} ], "stock_count": 100, "published": true, "inventory_item_id": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "shipping_method_id": 1, "shipping_method": {}, "transaction_id": 1, "transaction": { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": {}, "description": "description", "payment_method_id": 1, "payment_method": {}, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }, "due_date": "2022-04-01T00:00:00.000000Z", "currency_code": "USD", "base_currency_code": "USD", "status": "awaiting_delivery", "fulfillment_status": "unfulfilled", "shipping_carrier_id": 1, "shipping_carrier": { "id": 1, "name": "DHL", "service_codes": [ "STANDARD", "EXPRESS" ] }, "shipping_carrier_service": "shipping_carrier_service", "package_id": 1, "carrier": "carrier", "carrier_service": "carrier_service", "tracking_number": "tracking_number", "tracking_url": "tracking_url", "unpaid": true, "exchange_rate": 1.5, "gift": { "message": "message", "recipient_email": "recipient_email" }, "total": 1, "sub_total": 1, "tax_amount": 1, "tax_rate": 1.5, "application_fee": 1, "customs_fee": 1, "adjustment": 1, "disputed": true, "refunded": true, "refunded_amount": 1, "test": true, "archived": true, "items": [ { "id": 1, "product_id": 1, "product": {}, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "setup", "amount": 1, "quantity": 1, "active": true, "survey": { "survey_id": 1, "version": 2, "data": [ {} ] }, "preferences": {}, "discount_amount": 1, "tax_amount": 1, "tax_rate": 1.5, "tax_id": 1, "tax_group_id": 1, "bundle": {}, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "shipping_items": [ { "id": 1, "order_id": 1, "quantity": 1, "note": "note", "origin": "system", "price_origin": "charge", "item_price": 1, "order_line_item_id": 1, "order_bundle_item_id": 1, "inventory_id": 1, "inventory": {}, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "product_id": 1, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "balance", "amount": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Sync order shipping items

POST /orders/{order_id}/shipping_items

Add, change and remove the shipping items of an order in a single call. The payload is validated as a whole before anything is applied, so a failure in any entry leaves the order untouched. Operations are applied in the order delete, update, create, and each one adjusts the linked inventory item's stock: added quantity is taken out of stock, removed quantity is returned to it.

A shipped order cannot be synced. The request responds with 400 (error code bad_request).

Path parameters

order_idRequiredinteger

Order ID

Format: integer.

Query parameters

expand[]optionalstring[]

List of relations to expand in the response. Each expandable field on the response schema names its key, e.g. expand[]=customer. Nested keys use dot notation, e.g. items.product or subscriptions.items. Fields marked as always present are returned without being requested. An expanded list is null, not [], when there are no records. Unknown keys are ignored unless the endpoint says otherwise.

Request body

shipping_itemsRequiredobject

ReturnsOrder

Order object response, with the synced shipping_items.

Error responses

400object

The order has already been shipped and its shipping items can no longer be changed.

404object

The order does not exist or belongs to another shop.

422object

Validation failed, for example an unknown or archived inventory_id, a shipping item ID that is not on this order, a duplicate entry, a quantity below 1, or an update entry on a manual item or above its current quantity.

curl -X POST https://api.subbly.co/private/v1/orders/{order_id}/shipping_items \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "shipping_items": { "create": [ { "inventory_id": 8821, "quantity": 2 } ], "update": [ { "id": 47110, "quantity": 1 } ], "delete": [ { "id": 47115 } ] } }'
Response
{ "id": 1, "subscription_id": 1, "subscription": { "id": 1, "customer_id": 1, "customer": {}, "referred_by": 1, "product_id": 1, "product": {}, "quantity": 1, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "shipping_carrier_id": 1, "shipping_carrier_service": "shipping_carrier_service", "billing_address_id": 1, "billing_address": {}, "payment_method_id": 1, "payment_method": {}, "currency_code": "USD", "survey": {}, "preferences": {}, "bundle": {}, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "active": true, "paused": false, "paused_at": null, "skipping_until": null, "waiting_until": null, "past_due": false, "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ {} ], "discounts": [ {} ], "addons": [ {} ], "items": [ {} ], "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "cancelled_at": null, "reactivated_at": null, "switched_at": null, "previous_subscription_id": null, "auto_collecting": true, "metadata": [ {} ], "tags": [ "tags" ], "tags_meta": [], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "invoice_id": 1, "invoice": { "id": 1, "subscription_id": 1, "subscription": {}, "customer_id": 1, "customer": {}, "payment_method_id": 1, "payment_method": {}, "billing_address_id": 1, "billing_address": {}, "shipping_address_id": 1, "shipping_address": {}, "shipping_method_id": 1, "shipping_method": {}, "currency_code": "USD", "total": 1, "sub_total": 1, "adjustment": 1, "discounts_amount": 1, "tax_amount": 1, "application_fee": 1, "description": "description", "first_shipment_at": "2022-04-01T00:00:00.000000Z", "period_start": "2022-04-01T00:00:00.000000Z", "period_end": "2022-04-01T00:00:00.000000Z", "next_attempt_at": "2022-04-01T00:00:00.000000Z", "paid_at": "2022-04-01T00:00:00.000000Z", "voided_at": "2022-04-01T00:00:00.000000Z", "status": "paid", "items": [ {} ], "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "product_id": 1, "product": { "id": 1, "bundle_plan_id": 1, "bundle_plan": {}, "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "price": 799, "price_schema": {}, "price_scheme": {}, "parent": {}, "product": {}, "metadata": [ {} ], "attributes": [ {} ], "options": [ {} ], "stock_count": 100, "published": true, "inventory_item_id": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last4": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z" }, "shipping_method_id": 1, "shipping_method": {}, "transaction_id": 1, "transaction": { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": {}, "description": "description", "payment_method_id": 1, "payment_method": {}, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }, "due_date": "2022-04-01T00:00:00.000000Z", "currency_code": "USD", "base_currency_code": "USD", "status": "awaiting_delivery", "fulfillment_status": "unfulfilled", "shipping_carrier_id": 1, "shipping_carrier": { "id": 1, "name": "DHL", "service_codes": [ "STANDARD", "EXPRESS" ] }, "shipping_carrier_service": "shipping_carrier_service", "package_id": 1, "carrier": "carrier", "carrier_service": "carrier_service", "tracking_number": "tracking_number", "tracking_url": "tracking_url", "unpaid": true, "exchange_rate": 1.5, "gift": { "message": "message", "recipient_email": "recipient_email" }, "total": 1, "sub_total": 1, "tax_amount": 1, "tax_rate": 1.5, "application_fee": 1, "customs_fee": 1, "adjustment": 1, "disputed": true, "refunded": true, "refunded_amount": 1, "test": true, "archived": true, "items": [ { "id": 1, "product_id": 1, "product": {}, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "setup", "amount": 1, "quantity": 1, "active": true, "survey": { "survey_id": 1, "version": 2, "data": [ {} ] }, "preferences": {}, "discount_amount": 1, "tax_amount": 1, "tax_rate": 1.5, "tax_id": 1, "tax_group_id": 1, "bundle": {}, "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "tags": [ "tags" ], "tags_meta": [ { "id": 12, "value": "VIP" } ], "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "access_level": "storefront", "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "shipping_items": [ { "id": 1, "order_id": 1, "quantity": 1, "note": "note", "origin": "system", "price_origin": "charge", "item_price": 1, "order_line_item_id": 1, "order_bundle_item_id": 1, "inventory_id": 1, "inventory": {}, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "product_id": 1, "subscription_id": 1, "subscription_item_id": 1, "description": "description", "type": "balance", "amount": 1, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }
paginationobject
dataOrder[]
idinteger
subscription_idinteger | null
subscriptionSubscription | null

Expandable link to the subscription. null unless expand[]=subscription.

invoice_idinteger | null
invoiceInvoice | null

Expandable link to the invoice. null unless expand[]=invoice.

customer_idinteger
customerCustomer | null

Expandable link to the customer. null unless expand[]=customer.

product_idinteger | null
productVariant | Plan | null

Expandable link to the variant or pricing. null unless expand[]=product. Archived products are still returned.

shipping_address_idinteger | null
shipping_addressAddress | PickupInfo | null

Expandable link to the shipping address or pickup point object. null unless expand[]=shipping_address. Deleted addresses are still returned.

billing_addressAddress | null

Expandable link to the billing address of the order's invoice. null unless expand[]=billing_address. Deleted addresses are still returned.

payment_methodPaymentMethod | null

Expandable link to the payment method. null unless expand[]=payment_method. Uses the payment method of the order's invoice, else the one on the order's transaction. Deleted payment methods are still returned.

shipping_method_idinteger | null
shipping_methodobject | null

Shipping method payload with id, type (shipping_option, local_delivery or local_pickup) and a type-specific method object. Only returned when requested through expand[]=shipping_method; null otherwise.

transaction_idinteger | null
transactionTransaction | null

Expandable link to the transaction. null unless expand[]=transaction.

due_datestring | null

Format: date-time.

currency_codestring | null
base_currency_codestring | null
statusstring

Possible values: awaiting_delivery, shipped, returned, dispute, future_shipment, cancelled, payment_failed.

fulfillment_statusstring

Possible values: unfulfilled, partially_fulfilled, fulfilled.

shipping_carrier_idinteger | null
shipping_carrierShippingCarrier | null

Expandable link to the shipping carrier. null unless expand[]=shipping_carrier. Deleted carriers are still returned.

shipping_carrier_servicestring | null
package_idinteger | null

Package the order is shipped in, if any.

carrierstring | null
carrier_servicestring | null
tracking_numberstring | null
tracking_urlstring | null

Tracking link recorded when the order was shipped, if any.

unpaidboolean
exchange_ratenumber | null
giftobject | null

Gift details. null unless the order is a gift.

totalinteger
sub_totalinteger
tax_amountinteger
tax_ratenumber
application_feeinteger
customs_feeinteger
adjustmentinteger

Amount of the order's adjustment line item, or 0 when there is none.

disputedboolean
refundedboolean
refunded_amountinteger

Amount refunded in cents. 0 when nothing was refunded.

testboolean
archivedboolean
itemsOrderItem[]

Order line items. Tax, adjustment and discount lines are excluded. See adjustment and discounts. Always present; does not need to be requested via expand.

tagsstring[]

Names of the tags attached to the order. Always present; does not need to be requested via expand.

tags_metaTags

Tags with their IDs. Always present; does not need to be requested via expand.

metadataEntityMetadata[] | null

Always present; does not need to be requested via expand.

shipping_itemsOrderShippingItem[]

Always present; does not need to be requested via expand.

discountsOrderDiscount[]

Discount line items of the order.

created_atstring

Format: date-time.

updated_atstring | null

Format: date-time.

messageoptionalstring | null

Gift message. Shown in the gift block only on gift orders.

recipient_emailoptionalstring | null

Gift recipient email. Shown in the gift block only on gift orders.

Format: email.

createoptionalobject[]

Tags to attach by name. A shop tag with that name is reused when one exists and created otherwise. Attaching a tag the order already has is a no-op, so the call is idempotent.

deleteoptionalobject[]

Tags to detach from the order.

idRequiredinteger

Metadata ID. Must be a metadata field of this shop.

valuesRequiredobject[]

Values of the field. Replaces all current values of the field. Only one value is allowed unless the field accepts multiple values.

idinteger
subscription_idinteger | null
subscriptionSubscription | null

Expandable link to the subscription. null unless expand[]=subscription.

invoice_idinteger | null
invoiceInvoice | null

Expandable link to the invoice. null unless expand[]=invoice.

customer_idinteger
customerCustomer | null

Expandable link to the customer. null unless expand[]=customer.

product_idinteger | null
productVariant | Plan | null

Expandable link to the variant or pricing. null unless expand[]=product. Archived products are still returned.

shipping_address_idinteger | null
shipping_addressAddress | PickupInfo | null

Expandable link to the shipping address or pickup point object. null unless expand[]=shipping_address. Deleted addresses are still returned.

billing_addressAddress | null

Expandable link to the billing address of the order's invoice. null unless expand[]=billing_address. Deleted addresses are still returned.

payment_methodPaymentMethod | null

Expandable link to the payment method. null unless expand[]=payment_method. Uses the payment method of the order's invoice, else the one on the order's transaction. Deleted payment methods are still returned.

shipping_method_idinteger | null
shipping_methodobject | null

Shipping method payload with id, type (shipping_option, local_delivery or local_pickup) and a type-specific method object. Only returned when requested through expand[]=shipping_method; null otherwise.

transaction_idinteger | null
transactionTransaction | null

Expandable link to the transaction. null unless expand[]=transaction.

due_datestring | null

Format: date-time.

currency_codestring | null
base_currency_codestring | null
statusstring

Possible values: awaiting_delivery, shipped, returned, dispute, future_shipment, cancelled, payment_failed.

fulfillment_statusstring

Possible values: unfulfilled, partially_fulfilled, fulfilled.

shipping_carrier_idinteger | null
shipping_carrierShippingCarrier | null

Expandable link to the shipping carrier. null unless expand[]=shipping_carrier. Deleted carriers are still returned.

shipping_carrier_servicestring | null
package_idinteger | null

Package the order is shipped in, if any.

carrierstring | null
carrier_servicestring | null
tracking_numberstring | null
tracking_urlstring | null

Tracking link recorded when the order was shipped, if any.

unpaidboolean
exchange_ratenumber | null
giftobject | null

Gift details. null unless the order is a gift.

totalinteger
sub_totalinteger
tax_amountinteger
tax_ratenumber
application_feeinteger
customs_feeinteger
adjustmentinteger

Amount of the order's adjustment line item, or 0 when there is none.

disputedboolean
refundedboolean
refunded_amountinteger

Amount refunded in cents. 0 when nothing was refunded.

testboolean
archivedboolean
itemsOrderItem[]

Order line items. Tax, adjustment and discount lines are excluded. See adjustment and discounts. Always present; does not need to be requested via expand.

tagsstring[]

Names of the tags attached to the order. Always present; does not need to be requested via expand.

tags_metaTags

Tags with their IDs. Always present; does not need to be requested via expand.

metadataEntityMetadata[] | null

Always present; does not need to be requested via expand.

shipping_itemsOrderShippingItem[]

Always present; does not need to be requested via expand.

discountsOrderDiscount[]

Discount line items of the order.

created_atstring

Format: date-time.

updated_atstring | null

Format: date-time.

idinteger
subscription_idinteger | null
subscriptionSubscription | null

[...]
